declare namespace saxon = "http://saxon.sf.net/";
declare option saxon:output "indent=no";
declare option saxon:output "method=html";
declare option saxon:output "doctype-public=-//W3C//Dtd XHTML 1.0 Strict//EN";
declare option saxon:output "doctype-system=http://www.w3.org/tr/xhtml1/Dtd/xhtml1-strict.dtd";

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
      xmlns:j="http://www.juicers.org">

<head>
    <meta http-equiv="content-type" content="application/xhtml+xml;charset=UTF-8" />
    <meta http-equiv="content-language" content="en" />
    <title>Juicers</title>
    <meta name="description" content="Information about various juicers" />
    <meta name="keywords" content="Juicers" />
    <meta name="author" content="Roger L. Costello" />
</head>
<body>

      <h1>Juicers</h1>

      <table border="1"> 
        <tr><th>Name</th><th>Type</th><th>Cost (USD)</th><th>Retailer</th></tr>
        { 
          for $i in //j:juicer 
              let $j := doc("juicer-costs.xml")//j:juicer[string(@id) eq string($i/@id)]/j:cost[string(@currency) eq "USD"]  
              let $k := doc("juicer-retailers.xml")//j:juicer[string(@id) eq string($i/@id)]/j:retailer
                  where string($i/@electric) eq "true" 
                      order by $i/j:name/text() ascending 
                          return 
                              <tr>
                                  <td>{$i/j:name/text()}</td>
                                  <td>{string($i/@type)}</td>
                                  <td>{$j/text()}</td>
                                  <td>{$k/text()}</td>
                              </tr> 
        }
      </table>
</body>
</html>